Welcome to Black Liquid Software

Register now to gain access to all of our features. Once registered and logged in, you will be able to contribute to this site by submitting your own content or replying to existing content. You'll be able to customize your profile, receive reputation points as a reward for submitting content, while also communicating with other members via your own private inbox, plus much more! This message will be removed once you have signed in.

1 Screenshot


About This File

Colonial Charter 1.76 will only work with the Banished 1.0.7 update.

 

A complete gameplay expansion. After countless hours of development and testing, we are proud to bring you Colonial Charter 1.7 - Journey

 

Manual Download:

After clicking Download you will be redirected to google drive files and see this icon downloadicon.jpg at the top right corner of a new page. Click it to download. 

Steam Workshop Download for version 1.76:

http://steamcommunity.com/sharedfiles/filedetails/?id=1172726998

 

Installing:
Disable/Delete any previous version of Colonial Charter, enable Colonial Charter Journey in the mod menu. 

 

NEW GAMES ONLY:
CC: Journey does require a new game. 

 

Introduction: 

Journey reflects a maturation of development of the Colonial Charter mod for Banished Game. Unlike in previous versions where we overhauled production and resources, with Journey you have more access to new buildings that utilise the existing chains. Many of the existing buildings have been revamped or replaced in entirety.

In CC: Journey you'll have an opportunity to build a truly rustic themed settlement in entirety, or using the new city wall kit and related new buildings you can build your own mini empire. We have added in all new pine tree models to the game as well as some new map types to expand the flavour of Colonial Charter. New start conditions are available that offer a variety of new challenges. We also remastered the forest audio, to allow a more natural, serene atmosphere.

We hope you'll enjoy playing Colonial Charter 1.7 - as usual, it was a lot of hard work involving many hours of creation and testing. Easily our most challenging mod to date. Friends and family were ignored for prolonged periods of "One... More... Turn..." as well as "I think this would look good... what happens if we add this new feature?". We hope to put the same amount of distance between you and your loved ones, for all the right reasons of course! :)


Special Thanks in no particular order to the following people: 
Estherhb, Mystitsu, Paeng, Vrayna, Denis de la Rive, Mizana, RedKetchup, Discrepancy, OwlChemist, kica, Rageingnonsense, Delver, MrFlopsie, Maal, The Pilgrim, Necora, AzemOcram (any names missed, not on purpose!) 


What's New in Version 1.76   See changelog

Released

Just a tiny update. Don't get excited. :)

 

Added any changes and additions made in the CC Modular packs.

  • CC Docks
  • CC Frontier
  • CC Milling
  • CC Stacked Shops and Homes

These are all included and therefore not needed if you're running CC.


54 people like this


User Feedback



Downloaded 1.75 today, now the game crashes when I click the town arrival? It says" access violation" does anybody has an solution?

 

Share this comment


Link to comment

Are you using Banished 1.0.7 Beta - Build 170320?  You can check which version you're using at the bottom of the game's 1st page.

Share this comment


Link to comment

could be several reasons. did you upgrade the banished to 1.07? how much power does your system have? did you get a complete file on download or a short-load?that has happened lately.did you try it without mods and see if plays by itself?

Share this comment


Link to comment

Hi! Not sure if i'm posting this in the right section, im new sorry!

I noticed that in the model for the Gable House that where there is a road marker on the building plans, actually there are walls being built there. As I built it on an existing road the path citizens take is unchanged and as can be seen on the screenshot, people are simply walking through the walls. Not sure if this was intended with the design of the house, but in this case I thought it looked a bit silly.

I was wondering if this was something that would be changed in a following update? I'm running Journey 1.71 from the steam workshop at the moment, I see there is already a version 1.75. However looking at the changelogs i didn't notice any mention of the gable house in there. 

House.png

Share this comment


Link to comment

do you have a list of mods that are in this version? i'd like to compare because mega mod's list has cc 1.7, just not sure if you added 1.75. 

Share this comment


Link to comment

I dont see that kind of information anywhere in the steam workshop, although it says it was published Jan 24, which from what i can tell by looking at the dates on the changelogs at the top of this topic means it's probably version 1.71. I haven't downloaded any other version manually and as far as i can tell that's the latest version in the steam workshop.

I also read the changelogs for later versions but since there was no mention of the issue in there i assumed it hadn't been spotted yet and didn't go through the hassle of trying to download an update manually and add it to steam.

Also, is there a dedicated topic or board on which i should be posting this question instead? 

EDIT: found a list of included mods

 Directly Replaces or Incorporates: New England Colonial Mod, LotsOfSeeds, Town & Textiles, New Tailor Clothes, Llama Mod, Complete Trade Fix, Tavern Enhancement, Little Chapel, Root Cellar, Watermill, Decorative Items, Creamery, Grain Silo, Balance Apiary, Apiary with Mead/Pumpkin Ale, Specialized Stockpiles, MrFlopsies Bridge.

- Includes same or similar features as: Grass Guardian, AutoPickup, Flatten Terrain Tool, Better Fields, Faster Roads

Edited by Hacklefellar

Share this comment


Link to comment

when i do the 1.75 is this with beta 1.07 of banished or what? when I use this plus megamod all are listed in red. no other mods enabled.

Share this comment


Link to comment
4 hours ago, quadgamer said:

do you have a list of mods that are in this version? i'd like to compare because mega mod's list has cc 1.7, just not sure if you added 1.75. 

MegaMod .07 includes CC 1.71.  If you want to use 1.75, you need Banished 1.0.7 Beta and the Compatibility Mod in this order:

  • 1.0.7 Compatibility
  • Colonial Charter 1.75
  • MegaMod .07
  • MegaMod .07 Deco

The list of mods in MegaMod are in the thread on MegaMod. And listed in-game.

Share this comment


Link to comment
30 minutes ago, NCokeO said:

when i do the 1.75 is this with beta 1.07 of banished or what? when I use this plus megamod all are listed in red. no other mods enabled.

CC 1.75 requires Banished 1.0.7 Beta because it uses the new flags (think "categories") that are now available.  Mods turn red because they affect the same code - not because they don't work together. If you use MegaMod and CC 1.75 together, you also need the Compatibility Mod. See answer above.

Share this comment


Link to comment
On ‎1‎/‎22‎/‎2017 at 11:26 PM, Kralyerg said:

It should. Just place this above MegaMod on your modlist and it should work.

Previous versions of CC shouldn't not be loaded with MegaMod, but this version should work fine.

Is there a way to remove the version of CC currently with MegaMod? I'd like to keep the rest of the mods included because there are so many, and have the Journey mod as well. 

Share this comment


Link to comment

@maddiplanet as the MM evolves so too the CC version that's included (which has been what historically has happened), and so you may find in a future edition of MM the new CC (what ever version it is at the point) will also be included.

For now though, it's a simple case of running both MM 0.07 & CC 1.75, with the following load order:
Keep in mind - this is the load order for players playing with Banished 1.0.7

19 hours ago, QueryEverything said:

If you are running Banished 1.07 you will need to make sure you have it this way:
-- If you use CC, then you need to put it between the 1.0.7 Compatibility Mod & MM 0.07 files

  • ---- (snipped, not relevant to this question)
  • 1.0.7 Compatibility - http://blackliquidsoftware.com/index.php?/files/file/167-107-compatibility-for-megamod-007/
  • CC 1.75 (if installed, disregard if not)
  • MM 0.07
  • MM 0.07 Decoration (if you use the deco mod)

--------

 

The CC 1.75 Journey will automatically override all previous versions (included in MM), and will fix any previous bug fixes.  You will not lose any of the preexisting content as CC Journey is an upgrade to the previous CC.

:)

Share this comment


Link to comment
On ‎5‎/‎23‎/‎2017 at 11:50 PM, QueryEverything said:

@maddiplanet as the MM evolves so too the CC version that's included (which has been what historically has happened), and so you may find in a future edition of MM the new CC (what ever version it is at the point) will also be included.

For now though, it's a simple case of running both MM 0.07 & CC 1.75, with the following load order:
Keep in mind - this is the load order for players playing with Banished 1.0.7

The CC 1.75 Journey will automatically override all previous versions (included in MM), and will fix any previous bug fixes.  You will not lose any of the preexisting content as CC Journey is an upgrade to the previous CC.

:)

I changed my version to 1.0.7 beta on steam. (Sorry, I'm fairly new to the modding side of Banished.) I have the Compatibility mod and CC 1.75 in my list when I pulled up the game. I noticed that the Megamod I got from the Steam Workshop was version 1.0.6. So I got and added MM  1.0.7. Thing is, CC 1.75 and Compatibility mod both are for version 1.0.7, but MM .07 says it's for 1.0.6. I feel like that is the only thing I'm doing wrong. I don't know if I'm just being stupid, or if I missed something. 

2017-05-27.png

Edited by maddiplanet

Share this comment


Link to comment

MM .07 was designed for 1.0.6; that's why you need the Compatibility Mod.  Note that MM .07 is now two files; if you want all of the decorations, you should also load MM Deco .07 after MM :)  (Ignore that they turn red - they do that because the affect the same code; not because they're incompatible.)  Enjoy!

1 person likes this

Share this comment


Link to comment
40 minutes ago, estherhb said:

MM .07 was designed for 1.0.6; that's why you need the Compatibility Mod.  Note that MM .07 is now two files; if you want all of the decorations, you should also load MM Deco .07 after MM :)  (Ignore that they turn red - they do that because the affect the same code; not because they're incompatible.)  Enjoy!

Thank you! Finally got this squared away so I can play these mods during the summer. 

2 people like this

Share this comment


Link to comment

I can't remove fence gates, how can I fix this?

Edited by tequilo

Share this comment


Link to comment
On 6/7/2017 at 5:22 AM, tequilo said:

I can't remove fence gates, how can I fix this?

What fence gates @tequilo? there are a couple. :) Some need to be clicked just in the right spot ... juuuuusssst there ....

Share this comment


Link to comment

Since 12.06. there is the 1.0.7 beta version 3.

Translated with Google

Share this comment


Link to comment

Hi @Ulf CC Journey 1.75 is for Banished 1.0.7, if you use CC Journey 1.75 then you are running the newest one.

Mega Mod (MM) is for Banished 1.0.6, but can be run with Banished 1.0.7 if you use a compatibility mod with it.

 

Share this comment


Link to comment

Hello i have problem when i download Colonial Charter 1.0.7 and start game then i have black screen and i dont know what i do wrong  ? can u help me. ? I  reinstall game and i try old version and black screen again ? 

Share this comment


Link to comment

how long did you give it to load? it does take a while.  did you upgrade the game to 1.07?you can try using the task manager to turn off other programs that you aren't using to increase the RAM to help also.

Share this comment


Link to comment

Hello guys, downloaded the mod v1.75 to try out for the first time

Unfortunately, the mod is unplayable for me. It crashes on the world generation loading screen.  No other mod is loaded, only CC.

I have tried some other created a new game with the mod disabled and the game loads fine. Re-enabling results in a fatal access violation crash during the world generation screen. I have tried switching between DirectX 9 and 11 and 32bit and 64bit version and still unplayable.

Here are my specs:

  • CPU: Intel i5-4460
  • RAM: 16 GB
  • GPU: NVIDIA Geforce GTX 970
  • Game Version: v1.0.7 Beta - Build 170608 [GOG Version]

Need some help as I've heard great things about CC but cannot play it at all.

 

Share this comment


Link to comment

Sometimes this prevents crashes:  When you checked CC 1.75 under Mods, you need to completely exit Banished. Then go back in and start a new game.  Sometimes it also helps to delete your saves or move them to a different location if you want to save them.

Share this comment


Link to comment

Update on my CC predicament. Note: My Banished is the GOG version. I load the respective mods and restart the game as well.

I have made an attempt to load an older version of the mod, CC 1.71 (which I believe was is compatible with Banished v1.0.6) onto Banished v1.0.7 Beta - Build 170608. It results in the same fatal access violation crash on the world generation screen. 

I have also done the following.

  • CC v1.71 on Banished v1.0.6 - Crash on world gen
  • CC v1.62 on Banished v1.0.6 - Crash on world gen
  • MegaMod v0.07 on Banished v1.0.6 - Loads, crashes upon exiting to main menu

I'm now flustered that these expansion mods haven't worked normally.

Share this comment


Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now